using MegaRobo.Connections.Sockets.Tcp;
using MegaRobo.Contract;
using MegaRobo.ControlDevices.Abstractions;
using MegaRobo.Logger;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;
using MegaRobo.Connections;

namespace MegaRobo.C00225155.ControlDevices.Scanner
{
    public class ScannerService: ScannerCodeOfTcpClientBase
    {
        public override bool IsConnected => this.ConnectionState == ConnectionState.IsConnected;


        public override Task<string> ReadAsnyc(TimeSpan timeout)
        {
            return base.ReadAsnyc(timeout);
        }

        protected override string ParseMessage(object data, byte[] sourceData)
        {
            return data?.ToString() ?? string.Empty;
        }

        public override Task<ConnectionState> CheckConnected()
        {
            return base.CheckConnected();
        }

        public override Task<ConnectionState> ReconnectAsync()
        {
            return base.ReconnectAsync();
        }
    }

   
}
